<script type="text/javascript" src="app/js/tinymce/tinymce.min.js"></script>

<script>
////	Options de la "toolbar" de l'éditeur
if(isMobile()){
	optionsToolbar1="undo redo | alignleft aligncenter | bullist | emoticons";
	optionsToolbar2="bold italic underline forecolor fontsizeselect";
}else{
	optionsToolbar1="undo redo | bullist numlist | paste removeformat | table charmap emoticons media";//=> Pour pouvoir ajouter/modifier du code HTML (attention: risques d'injections xss!), il faut ajouter l'option "code" après "media"
	optionsToolbar2="bold italic underline | alignleft aligncenter alignjustify | fontsizeselect forecolor link";
}
////	Initialise l'editeur html
tinymce.init({
	//parametrage général
	width: "100%",
	language: <?= Txt::trad("HTML_EDITOR")==""  ? "null"  :  "\"".Txt::trad("HTML_EDITOR")."\"" ?>,//ne pas mettre de valeur vide (exple : "")
	selector: "textarea[name='<?= $fieldName ?>']",//selecteur du textarea
	statusbar: false,
	allow_script_urls: true,//permet l'ajout de js dans les hrefs (exple: "lightboxOpen()")
	browser_spellcheck: true,//correcteur orthographique du browser
	//forced_root_block: "div",//Remplace les balises "<p>"
	entity_encoding: "raw",//"All characters will not be stored as html entities, except : &amp; &lt; &gt; &quot;"
	content_style: "p  {margin:0px; padding:2px;}",//style des balises <p> : cf. 'app/css/common.css'
	//charge les plugins. Pas de "contextmenu" pour pouvoir afficher copier/coller si "paste" est bloqué par le browser. Autre plugins : print preview hr anchor pagebreak wordcount fullscreen insertdatetime
	plugins: ["autoresize advlist autolink lists link image charmap visualblocks visualchars media nonbreaking table directionality emoticons paste textcolor colorpicker textpattern code"],
	//barres de menu (Attention a l'affichage sur un width minimum. cf. modTask)
	menubar: false,
	toolbar1: optionsToolbar1,
	toolbar2: optionsToolbar2,
	//parametrage des plugins
	fontsize_formats: "1em 1.2em 1.4em 1.6em 1.8em",//Taille des caractères en "em"
	media_alt_source: false,//désactive le champ alternatif de saisie de source dans la boîte de dialogue des médias
	media_poster: false,//désactive l'envoi de fichier dans la boîte de dialogue des médias
	image_description: false,
	image_title: true,
	//Un fois l'éditeur initialisé :
	setup: function(editor){
		editor.on("init",function(){
			this.getDoc().body.style.fontSize="10pt";	//Style du menu
			$(".mce-tinymce iframe").attr("title","");	//Enleve le tooltip "Zone Texte Riche. Appuyez sur ALT-F9..."
			if($(".mce-tinymce iframe").is(":visible") && $("input:focus").length==0 && !isMobile())  {editor.focus();}//Focus sur l'éditeur?
			lightboxResize(true);//Init la hauteur du lightbox si besoin
		});
		//Modif du contenu
		editor.on("change keyup",function(){
			lightboxResize(true);			//Resize le lightbox 
			parent.confirmCloseForm=true;	//Marqueur de formulaire modifié, pour confirmer si besoin une sortie ("parent" si le form se trouve dans une lightbox)
		});
	}
});

////	Contenu de l'editeur est vide ?
function isEmptyEditor()
{
	var content=tinymce.activeEditor.getContent({format:'text'});
	if($.trim(content).length==0)	{return true;}
}
</script>