<script>
////	INIT
$(function(){
	////	Init le menu de sélection de période des plugins ("News elements")
	$("#modMenuPlugin select").val("<?= $pluginPeriod ?>");
	////	Hauteur max des news à 1500px: masqué si besoin par l'overflow, avec un bouton "displayAll"
	newsMaxHeight=1500;
	$("[id^='newsDescription']").css("max-height",newsMaxHeight);
	//Affiche le bouton "displayAll" avec un Timeout pour que le browser ait le tps de calculer le "scrollHeight"
	setTimeout(function(){
		$("[id^='newsDescription']").each(function(){
			if($("#"+this.id)[0].scrollHeight > newsMaxHeight){
				var _idNews=this.id.replace("newsDescription","");
				$("#newsDisplayAll"+_idNews).show();
			}
		});
	},500);

	////	Affichage des news progressif avec "Infinite scroller"
	$(window).scroll(function(){
		//Init le chargement
		if(typeof newsLoading=="undefined"){
			newsLoading=false;			//Pour pas relancer le chargement s'il est en cours et que l'on scroll encore..
			newsOffsetCpt=1;			//Compteur d'offset (nb de blocs de news affichés). On commence à "1" car le bloc "0" a déjà été affiché au 1er chargement de la page
			newsBottomDistanceLaunch=150;//Distance avant le bas de page pour déclencher le reload (tjs supérieur à 150px!)
		}
		//Récupère les news suivantes dès qu'on arrive en bas de page (hauteur de page < (scrollTop + hauteur de fenêtre + newsBottomDistanceLaunch))
		if(newsLoading==false && ($(document).height() < ($(window).scrollTop() + $(window).height() + newsBottomDistanceLaunch)) )
		{
			//Précise que l'on est en train de charger les dernières news
			newsLoading=true;
			$(".pageCenterContent").append("<div id='newsListLoading' style='text-align:center'><img src='app/img/dashboard/loading.gif' style='height:30px'></div>");
			//Récupère les dernière news ("get()" + simple que "ajax()")
			$.get("?ctrl=dashboard&action=GetMoreNews&newsOffsetCpt="+newsOffsetCpt+"&offlineNews=<?= Req::getParam("offlineNews") ?>", function(vueNewsList){
				//Affiche le résultat (s'il y en a)
				if(vueNewsList.length>0)
				{
					//Affiche les news suivantes avec un fadeIn()
					$(".pageCenterContent").append(vueNewsList);
					$(".vNewsContainer").fadeIn(500);//cf .vNewsHidden
					////notify("UPDATE! newsOffsetCpt="+newsOffsetCpt);//DEBUG
					//Relance les triggers sur les nouvelles news chargées : contextMenu/dblClick/rightClick/etc.
					initContextMenu();
					mainPageDisplay();
					initTooltips();
					//Maj les parametres du infinite scroller
					newsLoading=false;//reste à false s'il n'y a plus rien à charger.. et évite les requêtes inutiles
					newsOffsetCpt+=1;//Incrémente le compteur
				}
				//Masque l'icone loading
				$("#newsListLoading").remove();
			});
		}
	});
});

////	DEROULER UNE LONGUE ACTUALITE
function newsDisplayFull(_idNews)
{
	$("#newsDescription"+_idNews).css("max-height","none").css("overflow","visible");
	$("#newsDisplayAll"+_idNews).css("display","none");
}
</script>

<style>
#modMenuPluginHr				{margin-top:20px; margin-bottom:20px;}
#modMenuPluginSelect			{text-align:center;}
#modMenuPluginSelect>span		{cursor:help;}
#modMenuPluginSelect>select		{margin:10px;}
#modMenuPluginSelect form		{<?= $pluginPeriod!="otherPeriod"?"display:none;":null ?>}
.vPluginModuleHeader			{margin-top:10px;}
.vPluginModuleHeader img		{float:right; margin-top:-8px; max-height:24px;}
#modMenuPlugin .menuIcon		{width:15px;}
#modMenuPlugin .menuIcon img	{max-width:15px;}
.vNewsContainer					{min-height:80px; padding-top:10px; padding-bottom:10px;}
.objDescription					{overflow:hidden; padding-top:15px; padding-bottom:15px;}/*surcharge. masque le bas de la news s'il est trop grande*/
[id^='newsDisplayAll']			{display:none; text-align:center; margin:20px;}
.vNewsDetails					{text-align:center; padding:3px;}
.vNewsDetails>span, .vNewsDetails>img	{display:inline-block; margin-left:15px; margin-top:5px;}
.vNewsDetails>span[title]		{cursor:help;}
.vNewsHidden					{display:none;}

/*RESPONSIVE*/
@media screen and (max-width:1005px){
	.vNewsContainer		{margin-bottom:1px; padding-top:10px; padding-bottom:10px;}
}
</style>

<div class="pageCenter">
	<div class="pageModMenuContainer">
		<div id="pageModMenu" class="miscContainer">
			<?php if(MdlDashboardNews::addNewsRight()){ ?><div class="menuLine sLink" onclick="lightboxOpen('<?= MdlDashboardNews::getUrlNew() ?>');"><div class="menuIcon"><img src="app/img/plus.png"></div><div><?= Txt::trad("DASHBOARD_addNews") ?></div></div><?php } ?>
			<?php if(!empty($offlineNewsCount)){ ?><div class="menuLine <?= Req::getParam("offlineNews")==1?"sLinkSelect":"sLink" ?>" onclick="redir('?ctrl=dashboard&offlineNews=<?= Req::getParam("offlineNews")==1?"0":"1" ?>')"><div class="menuIcon"><img src="app/img/dashboard/newsOffline.png"></div><div><?= Txt::trad("DASHBOARD_newsOffline")." ".$offlineNewsCount ?></div></div><?php } ?>
			<?= MdlDashboardNews::menuSort() ?>
			<hr id="modMenuPluginHr">
			<!--PLUGIN : SELECTION DE PERIODE-->
			<div id="modMenuPlugin">
				<div id="modMenuPluginSelect">
					<span title="<?= $pluginPeriodTitle ?>"><img src="app/img/newObj.png"> <?= Txt::trad("DASHBOARD_newElems") ?></span> &nbsp; 
					<span title="<?= $pluginPeriodTitleCurrent ?>"><img src="app/img/newObj2.png"> <?= Txt::trad("DASHBOARD_currentElems") ?></span>
					<select onChange="if(this.value=='otherPeriod'){$('#modMenuPlugin form').fadeIn();}else{redir('?ctrl=dashboard&pluginPeriod='+this.value);}">
						<?php if(Ctrl::$curUser->isUser()){ ?><option value="connect" title="<?= $pluginConnectLabel ?>">..<?= Txt::trad("DASHBOARD_pluginSinceConnection") ?></option><?php } ?>
						<option value="day" title="<?= $pluginDayLabel ?>">..<?= Txt::trad("DASHBOARD_pluginOfDay") ?></option>
						<option value="week" title="<?= $pluginWeekLabel ?>">..<?= Txt::trad("DASHBOARD_pluginOfWeek") ?></option>
						<option value="month" title="<?= $pluginMonthLabel ?>">..<?= Txt::trad("DASHBOARD_pluginOfMonth") ?></option>
						<option value="otherPeriod"><?= Txt::trad("DASHBOARD_pluginOtherPeriod") ?></option>
					</select>
					<form action="index.php" method="post">
						<input type="text" name="pluginBegin" class="dateBegin" value="<?= date("d/m/Y",$pluginTimeBegin) ?>"> <img src="app/img/arrowRight.png">
						<input type="text" name="pluginEnd" class="dateEnd" value="<?= date("d/m/Y",$pluginTimeEnd) ?>">
						<input type="hidden" name="pluginPeriod" value="otherPeriod">
						<?= Txt::submit("OK",false) ?>
					</form>
				</div>
				<?php
				////	NOUVEAUX ELEMENTS DES MODULES (cf. plugins)
				if(empty($pluginsDashboard))	{echo "<div class='pluginEmpty'>".Txt::trad("DASHBOARD_pluginEmpty")."</div>";}
				else
				{
					foreach($pluginsDashboard as $tmpPlugin)
					{
						//Entête du block du module?
						if(empty($tmpModuleName) || $tmpModuleName!=$tmpPlugin->pluginModule){
							echo "<div class='vPluginModuleHeader'><hr><img src='app/img/".$tmpPlugin->pluginModule."/icon.png'></div>";
							$tmpModuleName=$tmpPlugin->pluginModule;
						}
						//Plugin Spécifique (exple: evts à confirmer)
						if(isset($tmpPlugin->pluginSpecificMenu))  {echo $tmpPlugin->pluginSpecificMenu;}
						//Plugin Objet (affichage normal)
						else
						{
							//Objet courant (evt/task)  ||  Objet folder  ||  Objet nouvellement créé
							if(!empty($tmpPlugin->pluginIsCurrent))		{$pluginIcon="newObj2.png";}
							elseif(!empty($tmpPlugin->pluginIsFolder))  {$pluginIcon="folder/folderSmall.png";}
							else										{$pluginIcon="newObj.png";}
							//Affiche le plugin
							echo "<div class='menuLine vPluginModuleLine sLink'>
										<div class='menuIcon' onclick=\"".$tmpPlugin->pluginJsIcon."\"><img src='app/img/".$pluginIcon."'></div>
										<div title=\"".strip_tags(Txt::reduce($tmpPlugin->pluginTitle,100),"<img><br>")."\" onclick=\"".$tmpPlugin->pluginJsLabel."\">".strip_tags(Txt::reduce($tmpPlugin->pluginLabel,100))."</div>
								  </div>";
						}
					}
				}
				?>
			</div>
		</div>
	</div>
	<div class="pageCenterContent">
		<?php
		////	PREMIERES NEWS (avant infinite scroll)  ||  AUCUN CONTENU & AJOUTER
		if(!empty($vueNewsListInitial))	{echo $vueNewsListInitial;}
		else{
			echo "<div class='emptyContainer'>".Txt::trad("DASHBOARD_noNews");
			if(MdlDashboardNews::addNewsRight())  {echo " <div class='sLink' onclick=\"lightboxOpen('".MdlDashboardNews::getUrlNew()."')\"><img src='app/img/plus.png'> ".Txt::trad("DASHBOARD_addNews")."</div></div>";}
		}
		?>
	</div>
</div>