<!--CHARGE PLUPLOAD -->
<script type="text/javascript" src="app/js/plupload/plupload.full.min.js"></script>
<script type="text/javascript" src="app/js/plupload/i18n/<?= Txt::trad("UPLOADER") ?>.js"></script>
<script type="text/javascript" src="app/js/plupload/jquery.ui.plupload/jquery.ui.plupload.min.js"></script>
<link rel="stylesheet" href="app/js/plupload/jquery.ui.plupload/css/jquery.ui.plupload.css" type="text/css" />


<script>
////	Resize
lightboxSetWidth(500);

////	Init
$(function(){
	////	PLUPLOAD (sauf en mode mobile)
	$("#uploader").plupload({
		url: "?ctrl=file&action=UploadTmpFile&tmpFolderName=<?= $tmpFolderName ?>",
		runtimes: "html5,html4",
		dragdrop: true,
		height:"100px",
		max_file_size: "<?= (int)ini_get("upload_max_filesize") ?>mb",
		max_file_count:<?= Ctrl::$curUser->isUser()?"200":"5" ?>,
		unique_names : true,
		views:{thumbs:true,list:true,active:"thumbs"},
		init:{
			//Ajout de fichiers : triggers
			FilesAdded:function(up,files){
				for(var key=0; key<files.length; key++)  {imageOptimize(files[key].name);}//Optimise l'image?
				$(".plupload_droptext").hide();//Masque le "drop text"
				parent.$.fancybox.getInstance().update();//resize le fancybox
			}
		}
	});
	//Bouton "selectionner les fichiers" de Plupload : Ajoute la taille Max des fichiers
	$(".plupload_add").attr("title","<?= File::displaySize(File::uploadMaxFilesize()) ?> Max. <?= Txt::trad("FILE_addMultipleFilesInfo") ?>");

	////	Nouvelle version de fichier : affiche une notif. si le nom du fichier est différent
	$("[name='addVersionFile']").on("change",function(){
		var oldName=$("[name='curFileName']").val();
		var newName=$("[name='addVersionFile']").val().split('\\').pop();
		if(oldName!=newName)  {notify("<?= Txt::trad("FILE_updatedName") ?>");}
		imageOptimize($(this).val());
	});
});

////	Affiche l'option "redimension d'image" OU Affiche les fichiers au format "liste"
function imageOptimize(fileName)
{
	if(/(jpg|jpeg|png)$/i.test(fileName))	{$(".imageResize").show();}
	else									{$("label[for='uploader_view_list']").trigger("click");}
}

////	Contrôle du formulaire
function formControl()
{
	//Ajout de fichier via Plupload
	if($(".plupload_wrapper").is(":visible")){
		if($("#uploader").plupload("getFiles").length==0)	{notify("<?= Txt::trad("FILE_selectFile") ?>");  return false;}//Aucun fichier sélectionné?
		if(finalFormControl()){//Si le controle global est OK : on lance l'upload via Plupload.. qui validera ensuite le formulaire
			$("#uploader").plupload("start").on("complete",function(){ $("#filesForm")[0].submit(); });
		}
		return false;//Retourne "false" car c'est l'uploader (ci-dessus) qui valide le formulaire
	}
	//Input File : nouvelle version de fichier
	else{
		if($("[name='addVersionFile']").isEmpty())	{notify("<?= Txt::trad("FILE_selectFile") ?>");  return false;}//Aucun fichier sélectionné?
		return finalFormControl();//Controle final (champs obligatoires, etc)
	}
}
</script>


<style>
.uploadOptions				{margin-top:15px; text-align:right;}
textarea[name='description']{display:none;}
.imageResize				{display:none;}

/*Surcharge de Plupload*/
.plupload_wrapper			{min-width:100%!important;}
.plupload_container			{height:250px; min-height:250px;}
.plupload_logo, .plupload_header_title, .plupload_header_text, .plupload_start, .plupload_progress_container, .plupload_total_status, .plupload_file_size	{display:none;}/*masque les elements inutiles*/
.plupload_header_content	{height:30px;}
.plupload_view_list .plupload_content,.plupload_view_thumbs .plupload_content	{top:30px;}	/*cf. "plupload_header_content" à 30px, au lieu de 57px*/
.plupload_view_switch		{position:absolute; top:2px; right:10px;}						/*idem*/
.plupload_droptext 			{text-transform:uppercase; color:#aaa;}
.plupload_add				{text-transform:uppercase; width:260px; font-weight:bold!important;}

/*RESPONSIVE -> 440px!*/
@media screen and (max-width:440px){
	.plupload_droptext 	{color:#fff;}
	.plupload_container	{height:200px; min-height:200px;}
}
</style>


<form action="index.php" method="post" onsubmit="return formControl()" id="filesForm" enctype="multipart/form-data" class="lightboxContent">

	<?php if(Req::isParam("addVersion")){ ?>
		<!--NOUVELLE VERSION D'UN FICHIER-->
		<input type="file" name="addVersionFile" title="<?= File::displaySize(File::uploadMaxFilesize()) ?> Max">
		<input type="hidden" name="curFileName" value="<?= $curObj->name ?>">
		<input type="hidden" name="addVersion" value="true">
	<?php }else{ ?>
		<!--NOUVEAU FICHIER (via Plupload en mode desktop (remplace l'input File)  / simple input "file" en mode responsive)-->
		<div id="uploader"><input type="file" name="newFile" title="<?= File::displaySize(File::uploadMaxFilesize()) ?> Max"></div>
		<input type="hidden" name="tmpFolderName" value="<?= $tmpFolderName ?>">
	<?php } ?>

	<!--imageResize (1600px max)-->
	<div class="uploadOptions imageResize">
		<input type="checkbox" name="imageResizeSize" id="imageResizeSize" value="1600" checked> 
		<label for="imageResizeSize"><?= Txt::trad("FILE_imgReduce") ?></label>
	</div>
	<!--description-->
	<div class="uploadOptions">
		<div class="sLink" onclick="$('textarea[name=description]').slideToggle();"><?= Txt::trad("description") ?> <img src="app/img/description.png"></div>
		<textarea name="description" placeholder="<?= Txt::trad("description") ?>"></textarea>
	</div>

	<!--MENU COMMUN-->
	<?= $curObj->menuEdit() ?>
</form>